function auc = plotROC(data_stru,n,k)
    nsample = size(data_stru,2);
    pos_num = 0;
    neg_num = 0;
    %calculate samples
    for q = 1:nsample
        fea = data_stru(q).label;
        pos_num = pos_num + sum(fea == 1);
        neg_num = neg_num + sum(fea == 0);
    end
    TP = zeros(1,n+1);
    FP = zeros(1,n+1);
    for pi = 1:n+1
        for q = 1:nsample
   
            C1 = data_stru(q).Cfea1;
            C2 = data_stru(q).Cfea2;
            std = data_stru(q).label;
            std2=data_stru(q).label;
            C1max =max(C1);
            C2max=max(C2);
            thr1 = ((pi-1)/n) * C1max+((n+1-pi)/n)*min(C1);
            thr2 = ((pi-1)/n) * C2max+((n+1-pi)/n)*min(C2);
            
            N = length(std);
            res = zeros(N,1);
            for i = 1:N
               
                    if C1(i) >= thr1
                        res(i)=1;
                    end
                    if C2(i) >= thr2
                        res(i)=1;
                    end
                
            end
            for i = 1:N
                 sstd=std(i);
                for NN=1:k/2
                    sstd=[sstd std(min(i+NN,size(std,1)))];
                    sstd=[sstd std(max(i-NN,1))];
                end
                stan=max(sstd);
                if res(i) == 1 && stan == 1
                    summ=0;
                    for pp=max(1,i-k):min(N,i+k)
                        if std2(pp)==1
                            summ=summ+1;
                            std2(pp)=0;
                        end
                    end
                    TP(pi) = TP(pi) + summ;
                end
                if res(i) == 1 &&  stan  == 0
                    FP(pi) = FP(pi) + 1;
                end
            end 
        end
        tpr(pi)=TP(pi)/pos_num;
        fpr(pi)=FP(pi)/neg_num;
    end
    auc = 0;
    tpr(1) = 1; tpr(n+1) = 0;
    fpr(1) = 1; fpr(n+1) = 0;
    for pi=1:n
        auc=auc+(tpr(pi)+tpr(pi+1))*(fpr(pi)-fpr(pi+1))/2;
    end
    plot(fpr,tpr);

    title(['ROC(AUC = ' num2str(auc) ' )']);
    xlabel('FPR');
    ylabel('TPR');
end