function auc = spot(Database)
load('Data\weight.mat');

%choose database
if strcmp(Database,'SMIC-E-HS') == 1
    load('Data\smicehs_data.mat');
    k = 16;
elseif strcmp(Database,'SMIC-E-VIS') == 1
    load('Data\smicevis_data.mat');
    k = 4;
elseif strcmp(Database,'SMIC-E-NIR') == 1
    load('Data\smicenir_data.mat');
    k = 4;
elseif strcmp(Database,'CASME2') == 1
    load('Data\casme2_data.mat');
    k = 32;
    load('Data\weight1.mat');
 
end


for i = 1:size(data_stru,2)
    if strcmp(Database,'CASME2')&&i==119
        load('Data\weight2.mat');
       
    end
    %Feature
    fea = data_stru(i).MDMO;
    fea2 = data_stru(i).LBP;
    
    frames = data_stru(i).Frames;
    F1 = zeros(frames,1);
    F2 = zeros(frames,1);
    
    %calculate difference
    for j = k+2:frames-k
        %MDMO diff
        af = fea(j-k-1,:);
        bf = fea(j+k-1,:);
        cf = fea(j-1,:);
        aaf = zeros(2,36);
        bbf = zeros(2,36);
        ccf = zeros(2,36);
        for q = 1:36
            aaf(1,q) = 0.9*af(q);
            aaf(2,q) = 0.1*af(q+36);
            bbf(1,q) = 0.9*bf(q);
            bbf(2,q) = 0.1*bf(q+36);
            ccf(1,q) = 0.9*cf(q);
            ccf(2,q) = 0.1*cf(q+36);
        end
        
        d1 = zeros(1,36);
        for q = 1:36
            d1(q) = sqrt((ccf(1,q) - aaf(1,q)).^2 + (ccf(2,q) - aaf(2,q)).^2) + sqrt((ccf(1,q) - bbf(1,q)).^2 + (ccf(2,q) - bbf(2,q)).^2)/2;
        end
        
        d2 = zeros(1,36);
        %LBP diff
        for q = 1:36
            tmpfea2 = fea2(j,(q-1)*59+1:q*59);
            d2(q) = chisquaredis(tmpfea2,fea2(j-k,(q-1)*59+1:q*59)) + chisquaredis(tmpfea2,fea2(j+k,(q-1)*59+1:q*59))/2;
        end
        
        %weights
       
        for q = 1:36
            d1(q) = d1(q)*weights(q);
            d2(q) = d2(q)*weights(q);
        end
     
        
        d1 = sort(d1,'descend');
        F1(j) = mean(d1(1:12));

        d2 = sort(d2,'descend');
        F2(j) = mean(d2(1:12));
    end
    
    C1 = zeros(frames,1);
    C2 = zeros(frames,1);
    for j = 2*k+2:frames-2*k-1
        C1(j) = F1(j) - (F1(j-k)+F1(j+k))/2;
        C2(j) = F2(j) - (F2(j-k)+F2(j+k))/2;
    end
    C1(C1<0) = 0;
    C2(C2<0) = 0;
    data_stru(i).Cfea1 = C1;
    data_stru(i).Cfea2 = C2;
end

    auc = plotROC(data_stru,20,k);
    disp(['The AUC on ' Database ' with  Weight is: ' num2str(auc)]);
end